/* ------------------------------------------------------------------
Foundations
------------------------------------------------------------------ */

* {
  box-sizing: border-box;
  -webkit-font-smoothing: antialiased;
}

@media (prefers-reduced-motion: no-preference) {
  html {
    scroll-behavior: smooth;
  }
}

::selection {
  color: #5b4c29;
  background-color: #fff6b0;
}

@font-face {
  font-family: "soehneweb";
  src: url("soehne-buch.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "signifierweb";
  src: url("signifier-web-light.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

:root {
  --color-bg: #fff;
  --color-text: #333;
  --color-black: #000;
  --color-text-dim: #999;
  --color-border: #ececec;
  --color-accent: #fe0;
  --font-sans: "soehneweb", sans-serif;
  --font-serif: "signifierweb", serif;
  --font-sm: 0.875rem;
  --unit-xs: 0.25rem;
  --unit-sm: 0.5rem;
  --unit-base: 1rem;
  --unit-md: 1.25rem;
  --unit-lg: 2rem;
  --unit-xl: 4rem;
  --unit-side: var(--unit-md);
  --unit-left: 10rem;
}

html {
  margin: 0;
  padding: 0;
}

body {
  margin: 0 auto;
  padding: 0;
  font-family: var(--font-sans);
  line-height: 1.5;
  text-wrap: pretty;
  background: url("clouds.jpg");
  background-position: center center;
  background-size: cover;
  background-attachment: fixed;
  color: var(--color-text);
}

h1 {
  margin: 0;
  font-family: var(--font-serif);
  font-weight: 400;
  font-size: clamp(1.75rem, calc(16px + 1.75dvw), 2.25rem);
  text-wrap: balance;
  line-height: 1.25;
}

/* ------------------------------------------------------------------
Block Elements
------------------------------------------------------------------ */

.button {
  display: inline-flex;
  gap: var(--unit-sm);
  padding: calc(0.8 * var(--unit-base)) var(--unit-base);
  border-radius: var(--unit-xs);
  line-height: 1;
  font-size: var(--font-sm);
}
a.button {
  text-decoration: none;
  transition:
    background-color 0.3s ease,
    color 0.3s ease;
  &.primary {
    background-color: var(--color-accent);
    color: var(--color-text);
  }
  &:hover {
    background-color: var(--color-black);
    color: var(--color-bg);
  }
}

/* ------------------------------------------------------------------
Hero
------------------------------------------------------------------ */

body > header {
  height: 100dvh;
  display: flex;
  justify-content: flex-end;
  flex-direction: column;
}

body > header div.logo,
body > header div.headline {
  padding: var(--unit-side) var(--unit-side) var(--unit-xl);
  border-top: 1px solid rgba(255, 255, 255, 0.2);
}

body > header div.headline h1 {
  max-width: 26em;
  color: var(--color-accent);
  margin-bottom: var(--unit-lg);
  text-wrap: balance;
}

body > header .bare {
  color: var(--color-bg);
}

/* ------------------------------------------------------------------
Large Viewport Layout Changes
------------------------------------------------------------------ */

@media (min-width: 1200px) {
  body > header > div {
    display: grid;
    padding-left: var(--unit-left);
    grid-template-columns: 1fr 3fr;
    gap: calc(2 * var(--unit-side));
  }
  body > header > div > div.logo,
  body > header > div > div.headline {
    border: none;
  }
}

@media (min-width: 1200px) {
  .line1,
  .line2 {
    position: fixed;
    top: 0;
    bottom: 0;
    width: 1px;
    background-color: rgba(255, 255, 255, 0.25);
    z-index: -1;
  }
  .line1 {
    left: var(--unit-left);
  }
  .line2 {
    left: calc(25vw + calc(var(--unit-left) * 0.75) + var(--unit-side));
  }
}
